@echo off
REM
REM Name: ListMethodsByActivity.cmd
REM Description: Calls isql (or osql for SQL Server 2005) in order to execute the 
REM              ListMethodsByActivity.sql script.
REM              This script can only be run against AppMetrics diagnostic databases
REM		
REM		Usage: ListMethodsByActivity DiagnosticMonitorDatabaseName
REM
REM Author: Xtremesoft Inc.
REM Date: 041/01/2010



if "%1"=="" goto ParmError

REM The SQLCmdProcessor variable can be changed if necessary in order to run the script on 
REM different versions of SQL Server.
REM 	SQL Server 2000 - isql
REM 	SQL Server 2005 - osql or sqlcmd
set 	SQLCmdProcessor=osql

%SQLCmdProcessor% -E -d %1 -o MethodInstanceByActivity.txt -i ListMethodsByActivity.sql -n -w 120

if %errorlevel% LEQ 1 (start notepad MethodInstanceByActivity.txt ) else goto SQLError

goto End

:SQLError
echo.
echo Couldn't process SQL file, "%SQLCmdProcessor%" returned error code of "%errorlevel%"
echo.

goto End

:ParmError
echo.
echo Usage: %0 DiagnosticMonitorDatabaseName
echo.

:End
